Skip to main content
DELETE
Disconnect a subject from an MCP server

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpServerId
string
required

MCP server id (the id returned by GET /v1/mcp, not the name).

Example:

"mcp-01HXYZ..."

Body

application/json
authSource
enum<string>
required

Which auth record to delete. oauth revokes the subject's OAuth tokens; auth-override removes the admin-installed per-subject credential override.

Available options:
oauth,
auth-override
subjectId
string
required

Target subject id whose auth record should be deleted.

subjectType
enum<string>
required

Subject type for the target principal. Delete is currently only supported for user and virtualaccount subjects.

Available options:
user,
virtualaccount

Response

Auth record deleted.